import re
from django.shortcuts import HttpResponseRedirect
from django.urls import reverse

# from django.core.urlresolvers import reverse
from catalog.models import Publics, Purchase


class AuthRequiredMiddleware(object):
    def __init__(self, get_response):
        self.get_response = get_response

    def __call__(self, request):
        # Code to be executed for each request before
        # the view (and later middleware) are called.
        response = self.get_response(request)



        if "/reports/" in request.path_info and not request.user.is_authenticated:
            if re.match("^(?:\/reports\/)+[0-9]*$", request.path_info):
                purchase_id = request.path_info.replace("/reports/", "")

                print ("----->", purchase_id)

                purchase = Purchase.objects.filter(pk=int(purchase_id))

                if len(purchase) > 0 and purchase[0].is_public == True:
                    return response
                else:
                    return HttpResponseRedirect(reverse('login'))

        #elif not request.user.is_authenticated and request.path_info == reverse('tile') or request.path_info == reverse('tileinfo') :
        #    return response

        elif request.path_info == reverse('ipn'):
            return response
        elif not request.user.is_authenticated and request.path_info != reverse('login') and not request.user.is_active:
            return HttpResponseRedirect(reverse('login'))

        # Code to be executed for each request/response after
        # the view is called.

        return response
