from django.shortcuts import render, redirect

# Create your views here.
# -*- coding: utf-8 -*-

from django.core.mail import EmailMultiAlternatives, send_mail
from django.http import HttpResponse
from django.template.loader import render_to_string
from django.utils.html import strip_tags
from GeoInt_SIDT import settings
from GeoInt_SIDT.settings import BASE_URL


def wsMail(request):
    subject = 'Info RepSat'
    email_from = settings.EMAIL_HOST_USER
    recipient_list = ['isanchez@centrogeo.edu.mx', 'ldominguez@centrogeo.edu.mx', 'ehuchim@centrogeo.edu.mx']

    html_content = render_to_string('mail_notification.html', {'varname': BASE_URL })  # render with dynamic value
    text_content = strip_tags(html_content)  # Strip the html tag. So people can see the pure text at least.

    # create the email, and attach the HTML version as well.
    msg = EmailMultiAlternatives(subject, text_content, email_from, recipient_list)
    msg.attach_alternative(html_content, "text/html")
    msg.send()
    return redirect('../catalog')

#-------------------------------
def wsMail2(mail,user,message,subject):
    subject = subject
    email_from = settings.EMAIL_HOST_USER
    recipient_list = [mail]

    html_content = render_to_string('mail_notification2.html', {'message': message})  # render with dynamic value
    text_content = strip_tags(html_content)  # Strip the html tag. So people can see the pure text at least.

    # create the email, and attach the HTML version as well.
    msg = EmailMultiAlternatives(subject, text_content, email_from, recipient_list)
    msg.attach_alternative(html_content, "text/html")
    print(msg.send())
    return HttpResponse("enviado")